#include <stdio.h>
#include <stdlib.h>
/*
   the following define is needed for MSC 5.0
   leave it out when using 5.1 or higher
#define _cdecl _CDECL
*/
#include <tiga.h>
#include "sp_vga.h"		/* include this file AFTER tiga.h */

#define TIGA20			/* only if tiga version >= 2.0 */

		main()
		{
		    short	module, i, oldmode;
		    short	x1, y1, x2, y2;
		    short	oldvsize_x,oldvsize_y;
		    short	oldvpos_x,oldvpos_y;
		    short	oldvwin_x1,oldvwin_y1,oldvwin_x2,oldvwin_y2;
		    short	oldvdisp,oldvzoom;

#ifdef TIGA20
		    /* initialize TIGA */
		    if (tiga_set(CD_OPEN) < 0L)	{
			printf ("TIGA CD error\n");
			exit (1);
		    }
#endif
		    oldmode = get_videomode();
		    if (!set_videomode(TIGA, INIT | CLR_SCREEN))	{
		        printf("GM error\n");
#ifdef TIGA20
			tiga_set(CD_CLOSE);
#endif
		        exit(2);
		    }
			/* attempt to install extended primitives */
		    if (install_primitives() < 0 )	{
		        printf("couldn't install extended primitives\n");
			set_videomode(oldmode, INIT);
#ifdef TIGA20
			tiga_set (CD_CLOSE);
#endif
			exit(3);
		    }
			/* attempt to install module */
		    if ((module = install_rlm("sp_vga")) < 0 )	{
		        printf("couldn't install SPEA extensions\n");
		        printf("Error code = %d\n", module);
			set_videomode(oldmode, INIT);
#ifdef TIGA20
			tiga_set (CD_CLOSE);
#endif
			exit(3);
		    }

		    if (spvinit() != 0)
			printf ("hardware doesn't allow VGA overlay manipulation");
		     else	{
			/* get and save old state, which we will restore later */
		    	spvgsize (&oldvsize_x, &oldvsize_y);
		    	spvgpos  (&oldvpos_x, &oldvpos_y);
		    	spvgwindow (&oldvwin_x1,&oldvwin_y1,&oldvwin_x2,&oldvwin_y2);
			oldvdisp = spvgdisp();
			oldvzoom = spvgzoom();

			/* paint something to the graphics screen */
			spea_logo (0,0,1280);

			/* play around with VGA overlay */
			spvdisp(DISPVGA | DISPFGA);
			printf ("hit any key to continue\n");getchar();
			spvdisp(DISPVGA | DISPFGA | DISPVGAT);
			printf ("hit any key to continue\n");getchar();
			spvdisp(DISPVGA | DISPFGA);
			spvzoom(ZOOMXY);
			printf ("hit any key to continue\n");getchar();
			spvspos(200,300);
			printf ("hit any key to continue\n");getchar();

			/* PLEASE restore old VGA state */
		    	spvswindow (oldvwin_x1,oldvwin_y1,oldvwin_x2,oldvwin_y2);
			spvspos(oldvpos_x, oldvpos_y);
			spvdisp(oldvdisp);
			spvzoom(oldvzoom);
		    }
		    /* return to DOS */
		    set_videomode(oldmode, INIT);
#ifdef TIGA20
		    tiga_set (CD_CLOSE);
#endif
		    exit(0);
		}

