@echo off
rem  %1 = SPEA drive
rem  %2 = SPEA subdirectory
rem  %3 = "y" if SPEA utilities installed
rem  %4 = "y" if Autodesk software installed
rem  %5 = "y" if TIGA installed
cls
set gdc=%1:%2

if not %3 == y goto AUTODESK
echo ͻ
echo                                                                        
echo   Das SPEA FGA  Konfigurationsprogramm GDCINST wird jetzt gestartet.   
echo   Dieses Programm erzeugt die Datei GDCINI.DAT , die von den meisten   
echo   SPEA Programmen und Treibern bentigt wird.                          
echo                                                                        
echo                      Zur Fortsetzung Taste drcken                     
echo ͼ
pause > nul
gdcinst
fgalogo
if ERRORLEVEL 1 goto ERROR1

rem cls
rem echo ͻ
rem echo                                                                        
rem echo   Die SPEA FGA  EEPROM Programmiersoftware bringt jetzt die Firmware   
rem echo   Ihrer FGA Karte auf den neuesten Stand. Dies dauert etwa 15 - 30     
rem echo   Sekunden.                                                            
rem echo   Der Bildschirm wird dunkelgetastet, whrend die Firmware neu pro-    
rem echo   grammiert wird.                                                      
rem echo ͼ
rem pause
rem fgaprom boot
rem if ERRORLEVEL 1 goto ERROR1

cls
echo ͻ
echo                                                                        
echo                     SPEA FGA - Firmware Update                         
echo   Geben Sie nach der Beendigung dieser Installationsprozedur folgende  
echo   Befehle ein, um die EEPROMS Ihrer FGA/FGA860 Karte mit der neuesten  
echo   Firmware Version zu programmieren :                                  
echo                                                                        
echo      SETGDC                                                            
echo      FGAPROM -bBD_ADR -mMONITOR                                        
echo                                                                        
echo      Erklrung der Parameter :                                         
echo                                                                        
echo      BD_ADR  = Karten I/O Adresse   (z.B. 280)                         
echo      MONITOR = Position des Monitor-Drehschalters                      
echo                                     (z.B. 0 fr SPEA GDM 1963/HE)      
echo                                                                        
echo                      Zur Fortsetzung Taste drcken                     
echo ͼ
pause > nul

:AUTODESK
if not %4 == y goto TIGA
if exist focus.icf erase focus.icf > nul
if exist focus.lck erase focus.lck > nul
cls
echo ͻ
echo                                                                        
echo   Das SPEA FGA  ADIREND / BigFocus Konfigurationsprogramm CONFIG       
echo   wird jetzt aufgerufen.                                               
echo                                                                        
echo   Whlen Sie die Menoption UTILITY und dann AutoSHADE / AutoSKETCH,   
echo   wenn Sie eine dieser Applikationen einsetzen, anschlieend die       
echo   Option ENDE.                                                         
echo                                                                        
echo   AutoCAD Anwender knnen direkt die Option ENDE anwhlen, um die      
echo   Standardkonfiguration zu bernehmen.                                 
echo                                                                        
echo                      Zur Fortsetzung Taste drcken                     
echo ͼ
pause > nul
config

:TIGA
if not %5 == y goto END
cls
echo ͻ
echo                                                                        
echo   Der TIGA Treiber wird jetzt geladen und ein Demo-Programm gestartet. 
echo                                                                        
echo                      Zur Fortsetzung Taste drcken                     
echo ͼ
pause > nul
call tiga
tigademo
tigacd -u

:END
show readme
cls
if not %3 == y goto NOGDC
echo          ͻ
echo                                                                       
echo                       Die Software Installation fr die               
echo                         SPEA FGA / FGA860 ist beendet.                
echo                                                                       
echo            Fhren Sie einen Warmstart durch oder rufen Sie die Batch- 
echo            Datei SETGDC auf.                                          
echo                                                                       
echo            Falls auch Treiber Software installiert wurde:             
echo            In den SPEA FGA  Benutzerhandbchern finden Sie detail-    
echo            lierte Informationen, wie die Applikationen konfiguriert   
echo            werden mssen um mit den SPEA Treibern arbeiten zu knnen. 
echo                                                                       
echo                          Zur Fortsetzung Taste drcken                
echo          ͼ
pause > nul
goto EXIT

:NOGDC
echo          ͻ
echo                                                                       
echo                        Die Treiber Installation fr die               
echo                         SPEA FGA / FGA860 ist beendet.                
echo                                                                       
echo            In den SPEA FGA Benutzerhandbchern finden Sie detail-     
echo            lierte Informationen, wie die Applikationen konfiguriert   
echo            werden mssen um mit den SPEA Treibern arbeiten zu knnen. 
echo                                                                       
echo                          Zur Fortsetzung Taste drcken                
echo          ͼ
pause > nul
goto EXIT

:ERROR1
cls
echo      Ĵ ERROR ķ
echo                                                                     
echo             Fehler whrend der SPEA FGA Software Installation.      
echo                                                                     
echo                       Zur Fortsetzung Taste drcken                 
echo      ͼ
pause > nul

:EXIT
%1: