@ECHO OFF
REM ***** Batch file to update FGA firmware

IF "%1"=="" GOTO INFO
IF "%2"=="" GOTO INFO

A:
CD \
FGAPROM -b%1 -m%2
GOTO END

:INFO
echo                    ͻ
echo                                UPDATE.BAT             
echo                    ͼ
echo.
echo         Batchfile to reprogram EEPROM on FGA board with boot software
echo         supplied on GDC Installation disk
echo         (GDC Installation diskette must be inserted in drive A:)
echo         *
echo         usage   : UPDATE BD_ADR MONITOR
echo                   bd_adr  = board address  (e.g. 280)
echo                   monitor = position of monitor switch 
echo                             (e.g. 0 for SPEA GDM1963/HE)
echo         *
echo         example : 'UPDATE 280 2'       
echo         *
echo         *
echo         Note : monitor switch MUST also be specified for FGA boards
echo                without monitor selection switch (refer also to docu-
echo                ment "Important Installation Information" for list of 
echo                supported monitors and related switch positions)
echo                      ***** end of info *****   

:END
